/*
 * Segment 2 (KEx), SWE LMS-TIC3
 * Copyright (C) 2016 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lmstic3.empfang.dekoder;

import java.io.File;
import java.io.FilenameFilter;
import java.util.ArrayList;
import java.util.List;

import org.junit.Assert;
import org.junit.Test;

import de.bsvrz.kex.lmstic3.vew.daten.tic.TIC3MeldungsDaten;

/**
 * Testcase f&uuml;r das Einlesen von TIC-Info Dateien.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */
public class AnalyseTestdaten {
	/**
	 * Filter zur Dateiauswahl.
	 */
	class XmlFilenameFilter implements FilenameFilter {
		@Override
		public boolean accept(final File f, final String s) {
			return s.toLowerCase().endsWith(".xml");
		}
	}

	/**
	 * Testmethode Einlesen Datei.
	 */
	@Test
	public void testParser() {
		// URL dateiurl =
		// ClassLoader.getSystemResource("de/bsvrz/kex/lms/empfang/dekoder/TICMeldungen.xml");

		final String verzeichnis = "res/meldungen_vrz";

		final File dir = new File(verzeichnis);

		final File[] dateien = dir.listFiles(new XmlFilenameFilter());

		if (dateien != null) {
			for (File f : dateien) {
				try {
					final TIC3InfoDatei datei = new TIC3InfoDatei(f);

					final TIC3InfoDateiDaten dateiMeldungen = datei.bildeMeldungen(false);
					final List<TIC3MeldungsDaten> meldungen = new ArrayList<>(dateiMeldungen.getMeldungen());

					for (TIC3MeldungsDaten m : meldungen) {
						doChecks(f, m);
					}

				} catch (final Exception e) {
					Assert.fail(e.getMessage());
				}
			}
		}
	}

	private void doChecks(File f, TIC3MeldungsDaten m) {
		// TODO Auto-generated method stub

	}

}
