/*
 * Segment 2 (KEx), SWE LMS-TIC3
 * Copyright (C) 2016 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lmstic3.vew.daten.tmc;


/**
 * TMC-Koordinate.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: TMCKoordinate.java 63650 2016-09-22 17:11:32Z gieseler $
 */
public class TMCKoordinate {

	private double breite;
	private double laenge;
	
	/**
	 * Konstruktor.
	 * 
	 * @param breite Breite
	 * @param laenge L&auml;nge
	 */
	public TMCKoordinate(final double breite, final double laenge) {
		super();
		this.breite = breite;
		this.laenge = laenge;
	}
	
	/** 
	 * Gibt die Breite zur&uuml;ck.
	 * 
	 * @return Breite
	 */
	public double getBreite() {
		return breite;
	}
	
	/** 
	 * Gibt die L&auml;nge zur&uuml;ck.
	 * 
	 * @return L&auml;nge
	 */
	public double getLaenge() {
		return laenge;
	}
	
}
